org.gradle.nativeplatform

## Interface StaticLibraryBinary

- All Superinterfaces:
    Binary, NativeBinary, NativeLibraryBinary
  All Known Subinterfaces:
    PrebuiltStaticLibraryBinary

      @Incubating
      public interface StaticLibraryBinary
      extends NativeLibraryBinary

  A `NativeLibrary` that has been compiled and archived into a static library.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getStaticLibraryFile()` The static library file.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinary

      `getHeaderDirs, getLinkFiles, getRuntimeFiles`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### getStaticLibraryFile

          File getStaticLibraryFile()

      The static library file.